Description

Another minor thing that made me wonder: When I add a comment

to a ticket then this is not reflected in the Activity-View.

I think it should be, if only for completeness.

Related issues:

Related to Redmine - Feature #1509: Show new issue notes in the activity list Closed 2008-06-20

History

#1 - 2008-04-10 11:16 - Maxim Krušina

Maybe this behaviour can be disabled/enabled in global config of redmine, to fit needs of all admins?

#2 - 2008-04-10 13:06 - Ernad Husremovic

another thought:

Add new activity type: "today's new comments"

Example of that kind of activity:

15:00 New comments during last 2 hours

1

#122 - Salary 03/08: by ernad.husremovic (2 x), by Zeljka Vranic (4 x), last update 14:30

#188 - DHL IP phones shipment: by Jasmin beganovic: called, nobody answered, 14:25

 As we can see, it would be aggregation of the comments made in the last period

1

. This report would take only comments on issues which didn't

change status - to prevent info's duplication.

The best solution would be to chose between three options:

1. no activity when new comment without status change is added

2. every new comment, new activity

3. aggregated new coments report

1

 Aggregate period shoud be configurable on the project level

#3 - 2008-04-10 14:17 - Raz Mataz

Maxim Krušina

I'm not sure if there needs to be a config toggle.

People who are not interested could just uncheck "Comments"

in the Activity View?

@Ernad

I'm not sure I'd like that kind of aggregation because the

comment-events would no longer be in order with the other events.

For example a ticket change could happen in response to a comment

but the comment would be listed after the change in the activity view.

What I would like though would be aggregation at the ticket-level.

So when multiple comments are made then they are combined into a

single event.
For example:

12:01  Feature #1234: Implement World Domination (3 new comments)

     * Moe (11:59): Blah Blah Blah

     * Eric (11:57): Lorem Ipsum Frobnicatz

     * Maxim (11:50): Foo Bar Lorem

 That way all events stay in chronological order, the aggregation restarts

whenever a different event (not a comment on Ticket #1234) happens.

#4 - 2008-04-10 14:42 - Maxim Krušina

You are right ;)

#5 - 2008-04-10 16:30 - Ernad Husremovic

Yes Moe, your suggestion is better one (ticket level aggregation).

But, we cannot exclude some cases of chronological disorder if we make aggregation:

12:01  Feature #1234: Implement World Domination (3 new comments)

     * Moe (11:59): Blah Blah Blah  

     * Maxim (11:50): Foo Bar Lorem

11:57  Feature #1234:  Lorem Ipsum Frobnicatz  (here we have some status change)

 Anyway, I think this is the optimal solution  :)

#6 - 2008-04-10 16:48 - Raz Mataz

@Ernad:

Almost! :-)

I'd imagine your example to result in output like this:

11:59  Feature #1234: Implement World Domination (1 new comment)

     * Moe (11:59): Blah Blah Blah  

11:57  Feature #1234:  Lorem Ipsum Frobnicatz  (here we have some status change)

11:50  Feature #1234: Implement World Domination (1 new comments)

     * Maxim (11:50): Foo Bar Lorem

 The aggregation would be "interrupted" by any other event happening

in the meantime. That way we get aggregation when multiple comments happen

in a row but chronological order is preserved in every case.

If someone added a comment after this then it would change

to look like this:

12:01  Feature #1234: Implement World Domination (*2 new comments*)

     * Someone (12:01): Another comment

     * Moe (11:59): Blah Blah Blah  

11:57  Feature #1234:  Lorem Ipsum Frobnicatz  (here we have some status change)

11:50  Feature #1234: Implement World Domination (1 new comments)

     * Maxim (11:50): Foo Bar Lorem

 Only the very last activity event can ever change into an aggregated event.

If the example was followed by a status change and another comment, then:

12:03  Feature #1234: Implement World Domination (1 new comment)

     * Someone (12:03): Can't stop commenting!

12:02  Feature #1234:  Lorem Ipsum Frobnicatz  (another status change)

12:01  Feature #1234: Implement World Domination (2 new comments)

     * Someone (12:01): Another comment

     * Moe (11:59): Blah Blah Blah  

11:57  Feature #1234:  Lorem Ipsum Frobnicatz  (here we have some status change)

11:50  Feature #1234: Implement World Domination (1 new comments)
     * Maxim (11:50): Foo Bar Lorem

#7 - 2008-04-10 17:29 - Ernad Husremovic

Again, you are right.

I suppose, it makes implementation much harder, but it is surely doable.

#8 - 2014-11-03 14:46 - Go MAEDA

- Related to Feature #1509: Show new issue notes in the activity list added

#9 - 2014-11-03 14:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in Redmine 0.8. (#1509)

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

https://www.redmine.org/issues/1509
http://www.tcpdf.org

